Bug 322874 - When dragging an image over text-ui offer to upload to pastebin and paste link
Summary: When dragging an image over text-ui offer to upload to pastebin and paste link
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: text-ui (show other bugs)
Version: git-latest
Platform: unspecified Linux
: NOR wishlist
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-27 08:59 UTC by David Edmundson
Modified: 2014-04-23 10:25 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.9.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2013-07-27 08:59:49 UTC
My workflow often involves sending an image to the pastebin applet then sending a link to a contact. Often file transfer isn't an option with a contact for various reasons. 

It would be nice to automate this workflow as I think it's quite common. I receive wstaw links a lot too. We can copy pastebin code from plasma.
Comment 1 Aleix Pol 2014-04-06 23:39:01 UTC
Isn't that a workaround to faulty file transfers?
Comment 2 David Edmundson 2014-04-06 23:40:40 UTC
Not entirely. For a lot of networks file transfer isn't available, or might not be supported by the other person's client.
Comment 3 David Edmundson 2014-04-23 10:25:21 UTC
Git commit b5a95ecb90d5a59a6945cd968019cb25e1ba2ee6 by David Edmundson, on behalf of Ahmed Ibrahim.
Committed on 22/04/2014 at 22:57.
Pushed by davidedmundson into branch 'master'.

Share images over common image sharing networks

When dragging and dropping images over the text-ui
allow uploading to popular services such as imgur.
This is useful when on networks that do not support
file transfer

REVIEW: 117573
FIXED-IN: 0.9.0

M  +2    -1    CMakeLists.txt
M  +1    -0    app/CMakeLists.txt
A  +48   -0    cmake/modules/FindQJSON.cmake
M  +2    -0    config/CMakeLists.txt
M  +19   -0    config/behavior-config.cpp
M  +2    -0    config/behavior-config.h
M  +50   -2    config/behavior-config.ui
A  +23   -0    image-sharer/CMakeLists.txt
A  +52   -0    image-sharer/abstractsharer.cpp     [License: LGPL (v2.1+)]
A  +91   -0    image-sharer/abstractsharer.h     [License: LGPL (v2.1+)]
A  +56   -0    image-sharer/imagebinsharer.cpp     [License: LGPL (v2.1+)]
A  +35   -0    image-sharer/imagebinsharer.h     [License: LGPL (v2.1+)]
A  +21   -0    image-sharer/imagesharer_export.h     [License: UNKNOWN]  *
A  +68   -0    image-sharer/imgursharer.cpp     [License: LGPL (v2.1+)]
A  +35   -0    image-sharer/imgursharer.h     [License: LGPL (v2.1+)]
A  +204  -0    image-sharer/mpform.cpp     [License: GPL (v2+)]
A  +58   -0    image-sharer/mpform.h     [License: GPL (v2+)]
A  +219  -0    image-sharer/shareprovider.cpp     [License: LGPL (v2.1+)]
A  +72   -0    image-sharer/shareprovider.h     [License: LGPL (v2.1+)]
A  +53   -0    image-sharer/simplestimagehostingsharer.cpp     [License: LGPL (v2.1+)]
A  +36   -0    image-sharer/simplestimagehostingsharer.h     [License: LGPL (v2.1+)]
M  +3    -1    lib/CMakeLists.txt
M  +77   -6    lib/chat-widget.cpp
M  +5    -0    lib/chat-widget.h
M  +21   -0    lib/text-chat-config.cpp
M  +5    -0    lib/text-chat-config.h

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/telepathy-text-ui/b5a95ecb90d5a59a6945cd968019cb25e1ba2ee6